Bug 1762694

Summary: Upgrade python38 package to the final release
Product: [Fedora] Fedora Reporter: Serge Matveenko <s>
Component: python38Assignee: Miro Hrončok <mhroncok>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 30CC: mhroncok, python-sig
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: python38-3.8.0-1.fc30 python38-3.8.0-1.fc29 python38-3.8.0-1.fc31 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-10-18 21:49:40 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Serge Matveenko 2019-10-17 09:21:50 UTC
Description of problem:

Python 3.8 package is outdated.


Version-Release number of selected component (if applicable):

Fedora 30: 3.8.0~rc1
Fedora 31: 3.8.0~b4


How reproducible:

`dnf info python38`


Expected results:

Python 3.8 has been released. There is the final 3.8.0 version available.

https://pythoninsider.blogspot.com/2019/10/python-380-is-now-available.html

Comment 1 Miro Hrončok 2019-10-17 09:30:05 UTC
Already happened. Will mark the updates as solving this bug.

Comment 2 Fedora Update System 2019-10-17 09:30:32 UTC
FEDORA-2019-adde83b6b7 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-adde83b6b7

Comment 3 Fedora Update System 2019-10-17 09:30:33 UTC
FEDORA-2019-586a368cf2 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-586a368cf2

Comment 4 Fedora Update System 2019-10-17 09:30:36 UTC
FEDORA-2019-9eade0e7c2 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-9eade0e7c2

Comment 5 Fedora Update System 2019-10-17 15:30:12 UTC
python38-3.8.0-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-adde83b6b7

Comment 6 Fedora Update System 2019-10-17 23:41:55 UTC
python38-3.8.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-586a368cf2

Comment 7 Fedora Update System 2019-10-18 00:35:09 UTC
python38-3.8.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-9eade0e7c2

Comment 8 Fedora Update System 2019-10-18 21:49:40 UTC
python38-3.8.0-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2019-10-18 22:55:15 UTC
python38-3.8.0-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-10-26 17:26:31 UTC
python38-3.8.0-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.